### Function

# GtkTreeModelForeachFunc

#### Declaration

    gboolean
    (* GtkTreeModelForeachFunc) (
      GtkTreeModel* model,
      GtkTreePath* path,
      GtkTreeIter* iter,
      gpointer data
    )

#### Description [src]

Type of the callback passed to `gtk_tree_model_foreach()` to iterate over the rows in a tree model.

#### Parameters

`model`

  Type: `GtkTreeModel`

  The `GtkTreeModel` being iterated.

  The data is owned by the caller of the function.

`path`

  Type: `GtkTreePath`

  The current `GtkTreePath`

  The data is owned by the caller of the function.

`iter`

  Type: `GtkTreeIter`

  The current `GtkTreeIter`

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  The user data passed to `gtk_tree_model_foreach()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` to stop iterating, `FALSE` to continue.